apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Apache, Lighttpd, nginx, Cherokee
mcdoogle
Posts: 178
Joined: 2003-07-15 13:36

apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by mcdoogle »

Hallo Freunde,

seit meinem gestrigen update meines Debian unstable, geht kein SSL mehr auf meinem Apache2.
Beim update wurden apache Pakete angefasst. Außerdem gibt es das mod_security nicht mehr ...

Was passiert hier?

Gruß
lucki2
Posts: 427
Joined: 2006-10-03 01:31

Re: apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by lucki2 »

<Cynic> Du hast vorher nicht gelesen, was er macht und dann ein par mal y gedrückt...</Cynic>
... natürlich habe ich keine Ahnung, was da passiert ist. Trotz übel nachgeredeter hellseherischer Fähigkeiten von Admins, ist das kaum zu erraten!

Nebenbei
Debian unstable
was hat das auf einem produktiven Server zu suchen? Da kann es Dir auch mal passieren, daß Dir Dein System komplett geschrottet wird, wenn ein Maintainer eine Abhängigkeit übersieht. Deswegen heißt das unstable ... und Etch ist auf dem Weg zur Stable!
sledge0303
Posts: 695
Joined: 2005-09-16 00:06
Location: Berlin-Reinickendorf

Re: apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by sledge0303 »

Unstable auf einem produktiven Server?
Du wirst noch die eine oder die andere Überraschung erleben bis Etch stable wird.
lucki2
Posts: 427
Joined: 2006-10-03 01:31

Re: apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by lucki2 »

Zur Klarstellung: so war das gemeint und da Etch im Dezember pünktlich raus soll ist`s gerade besonders kritisch ...
flo
Posts: 2223
Joined: 2002-07-28 13:02
Location: Berlin

Re: apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by flo »

Debian unstable ist auf einem Server durchaus einsetzbar - auf einem meiner betreuten Rechner auf PPC hab ich das mit allem möglichen Krempel (Cyrus per Auth über Active Directory) ganz gut am Laufen.

Aber: ich hab auch schon des öfteren gemerkt, daß man bei unstable um das Lesen der changelogs bzw. der Warnungen von Apt nicht herumkommt - die wenigsten Sachen sind aber wirklich defekte Abhängigkeiten (was sich dann recht schwer beheben läßt), sondern triviale Änderungen an den Configs oder umbenannte/umstrukturierte Pakete.

flo.
lucki2
Posts: 427
Joined: 2006-10-03 01:31

Re: apache2 und ssl; seit gestrigem apt-get dist-upgrade geht kein ssl mehr

Post by lucki2 »

Mutig! Helden sterben früher.

Code: Select all

yes | apt-get
ist auch bei einer stable nicht zu empfehlen.